const { browser } = require('protractor');
const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
const z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geral = new Helper.geral();
const loginPage = new Helper.login();
const protractorHelper = require('protractor-helper');
const j = require('../../../../json/leitorJsonHela.po.js');
const lancamentoVendaPage = require('../../../../page-objects/documentosfiscais/saidas/lancamentos/lancamentoVenda.po.js');


const gridLancamentoProduto = '124894852319898270284071';
const gridLancamentoSaida = '124894852322956962624070';

describe('Lançamento de nota de saída', () => {
    beforeAll(() => {
        loginPage.login(j.getValor('login'), j.getValor('senha'), j.getValor('url'));
        lancamentoVendaPage.abrir();
        lancamentoVendaPage.filtroLancamentoVenda(j.getValor('unidadeVenda'), j.getValor('destinatarioVenda'), j.getValor('serieNFVenda'), j.getValor('dataInicialVenda'), j.getValor('dataFinalVenda'), j.getValor('operacaoVenda'));
        geral.clickAplicarFiltro();
    });
    
    afterAll(() => {
        geral.sair();
    });
    
    it('Acessar tela de Lançamento de Saída', () => {
        geral.esperarLoading();
        
        expect(z.component.header.getTitle())
        .toBe('Lançamento de Saída');
    });
    
    it('Adicionar nota fiscal de venda', () => {
        geral.clickAdicionar();
        lancamentoVendaPage.digitarNotaFiscal(j.getValor('operacaoVenda'), j.getValor('modeloDocumentoVenda'),
                                              j.getValor('destinatarioVenda'), j.getValor('serieNFVenda'));
        geral.clickSalvar();
    
        expect(geral.getFieldValue('NMTIPOOPER'))
           .toEqual(j.getValor('operacaoVenda'));
        expect(geral.getFieldValue('NMFILIAL'))
           .toEqual(j.getValor('unidadeVenda'));
        expect(geral.getFieldValue('NMRAZSOCCLIE'))
           .toEqual(j.getValor('destinatarioVenda'));
        expect(geral.getFieldValue('DSSERIE'))
           .toEqual(j.getValor('serieNFVenda'));       
    });

    it('Lançamento do produto', () => {
        geral.trocarAba('Produtos');
        geral.clickAdicionar();
        lancamentoVendaPage.lancamentoProduto(j.getValor('produtoVenda'), j.getValor('quantidadeVenda'), j.getValor('valorUnitVenda'));
        geral.clickSalvar();
        
        expect(geral.gridHasText(gridLancamentoProduto, j.getValor('produtoVenda')))
           .toEqual('Zimt Gemahlen PT');
        expect(geral.gridHasText(gridLancamentoProduto, j.getValor('quantidadeVenda'), 7))
           .toEqual('100,000');
        expect(geral.gridHasText(gridLancamentoProduto, j.getValor('valorUnitVenda'), 8))
           .toEqual('2,00');

        geral.clickFechar();
        z.component.alert.isVisible().then(function(alertaVisivel){
        	if(alertaVisivel){
            	z.component.alert.getText().then(function(mensagem){
                	console.log(mensagem);
                	z.component.alert.clickButton('Sim');
                    console.log('Foi escolhida a opção Sim');
                });
            }
        });
        //Listando as notas lançadas pelo último número de lançamento para validar o último lançamento realizado.
        var order = element(by.css('#grid-124894852322956962624070 > div.header > div > div > div:nth-child(10) > span > span.ng-binding'));
		protractorHelper.click(order);
		protractorHelper.click(order);

        var status = z.widget.grid.getText(gridLancamentoSaida, 0, 0, false);
        status.getText().then(function (status) {
            expect(status).toEqual('Pendente');
        });
    });
});